﻿using System;

namespace Interfaces
{
    public enum EmployeeStatus
    {
        Probation,
        Normal,
        Leaved
    }

    public class Employee_Base
    {
        public string Name { get; set; }
        public DateTime Birthday { get; set; }
        public string Descriptions { get; set; }
    }

    public class Employee_Add : Employee_Base
    {
        public string EmpNo { get; set; }
    }

    public class Employee_Edit: Employee_Base
    {
    }

    public class Employee_Get : Employee_Base
    {
        public string EmpNo { get; set; }
        public EmployeeStatus Status { get; set; }
        public decimal Salary { get; set; }
    }

    public class EmployeeDetail_Get : Employee_Get
    {
        public int TaskAmount { get; set; }
    }
}
